<?
require_once('startinclude.php');
require_once('argentinalib.php');

$camara=parametro('camara',0);
$tipo=parametro('tipo',0);
$num_sensor=parametro('num_sensor',0);
$boton_tag=parametro('boton_tag',"");
include "lib_form.php";
require_once "util_db.php";
include "lecturadb_slow.php";

$ahora=epochnow();

echo cabecera("titulo",1);

$inicio_epoch=mktime("0","0","0","1","1","2005",0);
$hoy=(mktime()-$inicio_epoch)/60;
$campos="";
$camposhidden="";
$descripcion="";
$leyenda="Advertencia!";
$titulo="";
leerarreglo(&$c);
$titulo="";
$leyenda=""; //Advertencia en ".$camaras[$camara]["nombre_camara"];
// si no esta activa entonces solo se puede ver.
$boton=array("Ingresar","OK","");
$lck=array(1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1);
$resultado="";





switch ($tipo) {
	case 0:
		$camaras_actual=array();
		$camaras=array();
		leer_camaras($camaras);
		leer_camaras_actual($camaras_actual);
		$totalcamaras=count($camaras);

		for ($i=0;$i<$totalcamaras;$i++) {
			if (isset($_COOKIE["estado_camara".$i])) {
				$estado_window[$i]=$_COOKIE["estado_camara".$i];
			} else {
				$estado_window[$i]='off';
			}
			//leer_temperatura(&$t,$i,&$maxima,&$minima,&$estado,&$nombre_sensor,&$num_temp,&$limite);
			if ($camaras_actual[$i]["estado_actual"]!="V") {
				leer_temperatura2(&$temp,$i,$camaras_actual[$i]["proceso_actual"]);
			} else {
				leer_temperatura2(&$temp,$i);
			}

		}
		$num_proceso=$camaras_actual[$camara]["proceso_actual"];
		leer_proceso($camara_dato,$camaras_actual[$camara]["proceso_actual"]);
		$c[0]="Hay errores en la lectura, debe revisar la camara ".$camaras[$camara]["nombre_camara"];
		break;
	case 1:
		$camaras_actual=array();
		$camaras=array();
		leer_camaras($camaras);
		leer_camaras_actual($camaras_actual);
		$totalcamaras=count($camaras);

		leer_ultima_fecha($ultima_fecha);
		$retardo=(epochnow()-$ultima_fecha);
		$retardo=($retardo<60)?$retardo." Minutos.":floor($retardo/60)." Horas.";
		$c[0]="Modulo desconectado desde $retardo";
		break;
	case 500:
		$camaras_actual=array();
		$camaras=array();
		leer_camaras($camaras);
		leer_camaras_actual($camaras_actual);

		if ($camaras_actual[$camara]["estado_actual"]!="V") {
			leer_temperatura2(&$temp,$camara,$camaras_actual[$camara]["proceso_actual"]);
		} else {
			leer_temperatura2(&$temp,$camara);
		}
		$arg=array();
		$num_proceso=$camaras_actual[$camara]["proceso_actual"];
		leer_argentina(&$arg,$camaras_actual[$camara]["proceso_actual"]);
		$ndias=0;
		$nivel=0;
		argentina_nivel_all($temp['maxima_v_real'],$arg['id_especie'],&$ndias,&$nivel,$camara);

		$totalcamaras=count($camaras);
		$c[0]="Temperatura sobre el limite. Se extendera los dias a $ndias";
		break;
	case 501:
		$camaras_actual=array();
		$camaras=array();
		leer_camaras($camaras);
		leer_camaras_actual($camaras_actual);
		$num_proceso=$camaras_actual[$camara]["proceso_actual"];
		$totalcamaras=count($camaras);
		$c[0]="Tiempo del proceso finalizado.";
		break;
}


?>

<!--[if IE]><style type="text/css">
.spformWinxp2 .spformContent{
	width :100%;
}
</style><![endif]-->

<body  style='margin-top: 0; margin-bottom: 0; margin-left: 0; margin-right: 0; padding-left: 0; padding-right: 0; '>


<?php









@$campos[0].=campoformulario("c0","Mensaje",60,$c[0],"",1);
$campos[0].=campoformulario("c1","Solucion",60,trim($c[1]),"spformRequired",$lck[1]);
@$campos[1].=campobotongrafico("c2","Advertencia","images/Symbol Warning .gif");

$camposhidden.=campohidden("tipo",$tipo);
$camposhidden.=campohidden("camara",$camara);
$camposhidden.=campohidden("num_sensor",$num_sensor);
$camposhidden.=campohidden("ventanan",@$ventanan);
$extracampo="";

$columnas[0]=85;
$columnas[1]=15;


	switch($boton_tag) {
		case "OK":




			switch ($tipo) {
				case 0:
					// camara con problemas.
					$datos=array($camaras[$camara]["id_camara"],$camaras[$camara]["proceso_actual"],$hoy,$c[0]." (".$c[1].")",'Usuario',200);
					$nc=array('in_id_camara','in_id_proceso','in_fecha','in_mensaje','in_creador','in_id_mensaje');
					$tc=array('int','int','int','vc200','vc200','int');
					ejecutarprocedimiento('crear_log',$datos,$nc,$tc);
					apc_store('tiempo_gracia'.$camara,$ahora+15,0);
					echo mensajeformulario("Datos ingresados","images/about.gif","Los datos han sido ingresados.");
					break;
				case 1:
					// modulo desconectado.
					for ($i=0;$i<count($camaras);$i++) {
						if ($camaras_actual[$i]["estado_actual"]!="V") {
							$datos=array($camaras[$i]["id_camara"],$camaras[$i]["proceso_actual"],$hoy,$c[0]." (".$c[1].")",'Usuario',201);
							$nc=array('in_id_camara','in_id_proceso','in_fecha','in_mensaje','in_creador','in_id_mensaje');
							$tc=array('int','int','int','vc200','vc200','int');
							ejecutarprocedimiento('crear_log',$datos,$nc,$tc);
						}
					}
					echo mensajeformulario("Datos ingresados","images/about.gif","Los datos han sido ingresados.");
					break;
				case 500:
					// argentina.


					$datos=array($camaras[$camara]["id_camara"],$num_proceso,$hoy,$c[0]." (".$c[1].")",'Usuario',200);
					$nc=array('in_id_camara','in_id_proceso','in_fecha','in_mensaje','in_creador','in_id_mensaje');
					$tc=array('int','int','int','vc200','vc200','int');
					ejecutarprocedimiento('crear_log',$datos,$nc,$tc);
					apc_store('tiempo_gracia'.$camara,$ahora+15,0);

					$fin=$arg['fechainicial']+(60*24*$ndias);

					$sql = "update pf_argentina set fechafinal=$fin,nivel=$nivel where fechafinal<=$fin and id_proceso= ".$camaras_actual[$camara]['proceso_actual'];
					writelog('click boton '.$sql);
					writelog(json_encode($camaras[$camara]));


					$filas="";
					$resultado="";
					ejecutarsql($sql,&$filas,&$resultado);

					echo mensajeformulario("Datos actualizados","images/about.gif","Los datos han sido ingresados.");
					break;
				case 501:
					// argentina.
					$datos=array($camaras[$camara]["id_camara"],$num_proceso,$hoy,$c[0]." (".$c[1].")",'Usuario',200);
					$nc=array('in_id_camara','in_id_proceso','in_fecha','in_mensaje','in_creador','in_id_mensaje');
					$tc=array('int','int','int','vc200','vc200','int');
					ejecutarprocedimiento('crear_log',$datos,$nc,$tc);
					apc_store('tiempo_gracia'.$camara,$ahora+15,0);
					echo mensajeformulario("Datos actualizados","images/about.gif","Los datos han sido ingresados.");
					break;
			}



			jsinicio();
			echo "window.parent.document.getElementById('layermensaje').style.visibility='hidden';";
			echo "window.parent.frameinferior.soundManager.stop('beep');";

			jsfin();
			break;
		default:

			echo mostrarformulario($titulo,$leyenda,$descripcion,$campos,$camposhidden,$boton,$numform=1,$resultado="",$resultadohtm="",$extracampo,$columnas);

			echo "<script language='JavaScript' type='text/javascript'>\n";
			echo "	frmvalidator.addValidation('c1','req','Debe ingresar el texto');\n";
			echo "	frmvalidator.addValidation('c1','maxlen=50');\n";

			echo "</script>\n";

		break;
	}





//echo finalizar_tabla();

?>
</body>
